> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# hashtag榜单列表-EchoTik

> 这是 hashtag 榜单接口，按日期、地区、周期和排序字段返回热门标签。返回重点是标签在当前周期内的新增评论、点赞、收藏、分享、新增视频数、新增播放量，以及各项总量，所以它呈现的是一个话题在周期内的活跃度和扩散速度。

**接口用途推荐**
- 适合做热点话题追踪
- 内容选题
- 看某个市场最近什么标签正在升温、给内容团队准备蹭热点清单，也适合做话题流量周报

**注意事项**
- 数据出自EchoTik，所以该数据均属于离线数据，会有延迟，如果接口返回没有数据证明EchoTik并未收录该数据
- 榜单中返回的值是当前周期中的增量数据
- date字段是yyyy-MM-dd格式， 榜单分为天/周/月 三个榜单， 周榜：每周周一， 月榜：每月一号。
- 该榜单数据仅代表EchoTik中已收录的hashtag计算得出来的榜单，非官方数据，仅供参考

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">每次请求</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 让 AI 帮你写调用代码</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">点击按钮复制一段结构化提示词，可直接交给 ChatGPT、Claude 或其他 AI 助手生成接口调用代码。</p>
  </div>

  <div className="mt-4">
    <button type="button" className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50" onClick={() => navigator.clipboard.writeText("我想调用 KeyAPI 接口：GET https://api.keyapi.ai/v1/tiktok/hashtag/ranklist/analytics\n\n请帮我编写调用代码，并包含必要的错误处理、参数校验和响应处理逻辑。\n\n接口信息：\n\nEndpoint: GET https://api.keyapi.ai/v1/tiktok/hashtag/ranklist/analytics\n\nDescription: 这是 hashtag 榜单接口，按日期、地区、周期和排序字段返回热门标签。返回重点是标签在当前周期内的新增评论、点赞、收藏、分享、新增视频数、新增播放量，以及各项总量，所以它呈现的是一个话题在周期内的活跃度和扩散速度。\n\n**接口用途推荐**\n- 适合做热点话题追踪\n- 内容选题\n- 看某个市场最近什么标签正在升温、给内容团队准备蹭热点清单，也适合做话题流量周报\n\n**注意事项**\n- 数据出自EchoTik，所以该数据均属于离线数据，会有延迟，如果接口返回没有数据证明EchoTik并未收录该数据\n- 榜单中返回的值是当前周期中的增量数据\n- date字段是yyyy-MM-dd格式， 榜单分为天/周/月 三个榜单， 周榜：每周周一， 月榜：每月一号。\n- 该榜单数据仅代表EchoTik中已收录的hashtag计算得出来的榜单，非官方数据，仅供参考\n\nRequired Headers:\n--header 'Authorization: Bearer <YOUR_API_KEY>'\n\nParameters:\n- date (Required): yyyy-MM-dd格式 榜单具体时间. Example: 2026-07-05\n- region (Required): . Example: US\n- rank_type (Required): 榜单类型 1=day 2=week 3=month. Example: 1\n- hashtag_rank_field (Required): hashtag_rank_field说明：1=total_video_cnt，2=total_views_cnt，3=total_comments_cnt，4=total_digg_cnt，5=total_shares_cnt，6=total_favorites_cnt. Example: 1\n- page_num (Required): . Example: 1\n- page_size (Required): . Example: 10\n\nExample Response:\n{\n  \"code\": 0,\n  \"message\": \"success\",\n  \"data\": [\n    {\n      \"dt\": 1783180800,\n      \"region\": \"US\",\n      \"tag_id\": \"7369995007748964394\",\n      \"tag_title\": \"dealsforyoudays\",\n      \"total_comments_cnt\": 80195,\n      \"total_comments_history_cnt\": 10487134,\n      \"total_digg_cnt\": 2687833,\n      \"total_digg_history_cnt\": 374211406,\n      \"total_favorites_cnt\": 585909,\n      \"total_favorites_history_cnt\": 62931851,\n      \"total_shares_cnt\": 276442,\n      \"total_shares_history_cnt\": 41651524,\n      \"total_video_cnt\": 30922,\n      \"total_video_history_cnt\": 4493507,\n      \"total_views_cnt\": 325978398,\n      \"total_views_history_cnt\": 30625898847\n    },\n    {\n      \"dt\": 1783180800,\n      \"region\": \"US\",\n      \"tag_id\": \"229207\",\n      \"tag_title\": \"fyp\",\n      \"total_comments_cnt\": 139061,\n      \"total_comments_history_cnt\": 5881634989,\n      \"total_digg_cnt\": 10549702,\n      \"total_digg_history_cnt\": 537452813952,\n      \"total_favorites_cnt\": 1105927,\n      \"total_favorites_history_cnt\": 39492749019,\n      \"total_shares_cnt\": 1558816,\n      \"total_shares_history_cnt\": 27124241501,\n      \"total_video_cnt\": 24996,\n      \"total_video_history_cnt\": 129939262,\n      \"total_views_cnt\": 268123870,\n      \"total_views_history_cnt\": 5047160027783\n    },\n    {\n      \"dt\": 1783180800,\n      \"region\": \"US\",\n      \"tag_id\": \"1613123321562117\",\n      \"tag_title\": \"tiktokshop\",\n      \"total_comments_cnt\": 50405,\n      \"total_comments_history_cnt\": 98217819,\n      \"total_digg_cnt\": 1243143,\n      \"total_digg_history_cnt\": 4104056952,\n      \"total_favorites_cnt\": 205022,\n      \"total_favorites_history_cnt\": 468984729,\n      \"total_shares_cnt\": 61943,\n      \"total_shares_history_cnt\": 285856030,\n      \"total_video_cnt\": 23281,\n      \"total_video_history_cnt\": 21071094,\n      \"total_views_cnt\": 107664719,\n      \"total_views_history_cnt\": 166559374586\n    },\n    {\n      \"dt\": 1783180800,\n      \"region\": \"US\",\n      \"tag_id\": \"21833191\",\n      \"tag_title\": \"summerwins\",\n      \"total_comments_cnt\": 34110,\n      \"total_comments_history_cnt\": 877972,\n      \"total_digg_cnt\": 786479,\n      \"total_digg_history_cnt\": 29625077,\n      \"total_favorites_cnt\": 190043,\n      \"total_favorites_history_cnt\": 3970318,\n      \"total_shares_cnt\": 80928,\n      \"total_shares_history_cnt\": 2351212,\n      \"total_video_cnt\": 19399,\n      \"total_video_history_cnt\": 679864,\n      \"total_views_cnt\": 101667424,\n      \"total_views_history_cnt\": 2528781360\n    },\n    {\n      \"dt\": 1783180800,\n      \"region\": \"US\",\n      \"tag_id\": \"7444712738363801646\",\n      \"tag_title\": \"tiktokshopcreatorpicks\",\n      \"t\n  ... truncated ...\n\n请根据以上信息给出可直接运行的示例代码。")}>
      ✨ 复制给 AI
    </button>
  </div>
</div>


## OpenAPI

````yaml zh/tiktok.zh.openapi.json GET /v1/tiktok/hashtag/ranklist/analytics
openapi: 3.0.1
info:
  title: Tiktok API 中文文档
  description: Tiktok API 的中文参考文档，包含接口用途、参数说明、响应状态和示例结构。
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags:
  - name: TikTok 达人
  - name: TikTok 店铺
  - name: TikTok 内容数据
  - name: TikTok 趋势洞察
paths:
  /v1/tiktok/hashtag/ranklist/analytics:
    get:
      tags:
        - TikTok 趋势洞察
      summary: hashtag榜单列表-EchoTik
      description: >-
        这是 hashtag
        榜单接口，按日期、地区、周期和排序字段返回热门标签。返回重点是标签在当前周期内的新增评论、点赞、收藏、分享、新增视频数、新增播放量，以及各项总量，所以它呈现的是一个话题在周期内的活跃度和扩散速度。


        **接口用途推荐**

        - 适合做热点话题追踪

        - 内容选题

        - 看某个市场最近什么标签正在升温、给内容团队准备蹭热点清单，也适合做话题流量周报


        **注意事项**

        - 数据出自EchoTik，所以该数据均属于离线数据，会有延迟，如果接口返回没有数据证明EchoTik并未收录该数据

        - 榜单中返回的值是当前周期中的增量数据

        - date字段是yyyy-MM-dd格式， 榜单分为天/周/月 三个榜单， 周榜：每周周一， 月榜：每月一号。

        - 该榜单数据仅代表EchoTik中已收录的hashtag计算得出来的榜单，非官方数据，仅供参考
      parameters:
        - name: date
          in: query
          description: yyyy-MM-dd格式 榜单具体时间
          required: true
          example: '2026-07-05'
          schema:
            type: string
            example: '2026-07-05'
        - name: region
          in: query
          description: ''
          required: true
          example: US
          schema:
            type: string
            example: US
        - name: rank_type
          in: query
          description: 榜单类型 1=day 2=week 3=month
          required: true
          example: 1
          schema:
            type: integer
            example: 1
        - name: hashtag_rank_field
          in: query
          description: >-
            hashtag_rank_field说明：1=total_video_cnt，2=total_views_cnt，3=total_comments_cnt，4=total_digg_cnt，5=total_shares_cnt，6=total_favorites_cnt
          required: true
          example: 1
          schema:
            type: integer
            example: 1
        - name: page_num
          in: query
          description: ''
          required: true
          example: 1
          schema:
            type: integer
            example: 1
        - name: page_size
          in: query
          description: ''
          required: true
          example: 10
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  - dt: 1783180800
                    region: US
                    tag_id: '7369995007748964394'
                    tag_title: dealsforyoudays
                    total_comments_cnt: 80195
                    total_comments_history_cnt: 10487134
                    total_digg_cnt: 2687833
                    total_digg_history_cnt: 374211406
                    total_favorites_cnt: 585909
                    total_favorites_history_cnt: 62931851
                    total_shares_cnt: 276442
                    total_shares_history_cnt: 41651524
                    total_video_cnt: 30922
                    total_video_history_cnt: 4493507
                    total_views_cnt: 325978398
                    total_views_history_cnt: 30625898847
                  - dt: 1783180800
                    region: US
                    tag_id: '229207'
                    tag_title: fyp
                    total_comments_cnt: 139061
                    total_comments_history_cnt: 5881634989
                    total_digg_cnt: 10549702
                    total_digg_history_cnt: 537452813952
                    total_favorites_cnt: 1105927
                    total_favorites_history_cnt: 39492749019
                    total_shares_cnt: 1558816
                    total_shares_history_cnt: 27124241501
                    total_video_cnt: 24996
                    total_video_history_cnt: 129939262
                    total_views_cnt: 268123870
                    total_views_history_cnt: 5047160027783
                  - dt: 1783180800
                    region: US
                    tag_id: '1613123321562117'
                    tag_title: tiktokshop
                    total_comments_cnt: 50405
                    total_comments_history_cnt: 98217819
                    total_digg_cnt: 1243143
                    total_digg_history_cnt: 4104056952
                    total_favorites_cnt: 205022
                    total_favorites_history_cnt: 468984729
                    total_shares_cnt: 61943
                    total_shares_history_cnt: 285856030
                    total_video_cnt: 23281
                    total_video_history_cnt: 21071094
                    total_views_cnt: 107664719
                    total_views_history_cnt: 166559374586
                  - dt: 1783180800
                    region: US
                    tag_id: '21833191'
                    tag_title: summerwins
                    total_comments_cnt: 34110
                    total_comments_history_cnt: 877972
                    total_digg_cnt: 786479
                    total_digg_history_cnt: 29625077
                    total_favorites_cnt: 190043
                    total_favorites_history_cnt: 3970318
                    total_shares_cnt: 80928
                    total_shares_history_cnt: 2351212
                    total_video_cnt: 19399
                    total_video_history_cnt: 679864
                    total_views_cnt: 101667424
                    total_views_history_cnt: 2528781360
                  - dt: 1783180800
                    region: US
                    tag_id: '7444712738363801646'
                    tag_title: tiktokshopcreatorpicks
                    total_comments_cnt: 23344
                    total_comments_history_cnt: 17012185
                    total_digg_cnt: 810346
                    total_digg_history_cnt: 598274113
                    total_favorites_cnt: 191020
                    total_favorites_history_cnt: 105982177
                    total_shares_cnt: 92123
                    total_shares_history_cnt: 66741218
                    total_video_cnt: 18532
                    total_video_history_cnt: 7299389
                    total_views_cnt: 115138449
                    total_views_history_cnt: 53521369752
                  - dt: 1783180800
                    region: US
                    tag_id: '45070'
                    tag_title: summervibes
                    total_comments_cnt: 19366
                    total_comments_history_cnt: 11945594
                    total_digg_cnt: 504721
                    total_digg_history_cnt: 848570984
                    total_favorites_cnt: 105751
                    total_favorites_history_cnt: 78220568
                    total_shares_cnt: 66727
                    total_shares_history_cnt: 62342256
                    total_video_cnt: 8547
                    total_video_history_cnt: 2075215
                    total_views_cnt: 63118788
                    total_views_history_cnt: 17493356659
                  - dt: 1783180800
                    region: US
                    tag_id: '1647119754150918'
                    tag_title: tiktokmademebuyit
                    total_comments_cnt: 8764
                    total_comments_history_cnt: 29174074
                    total_digg_cnt: 375700
                    total_digg_history_cnt: 1834041140
                    total_favorites_cnt: 81235
                    total_favorites_history_cnt: 204124035
                    total_shares_cnt: 8650
                    total_shares_history_cnt: 129387941
                    total_video_cnt: 7533
                    total_video_history_cnt: 6219859
                    total_views_cnt: 41740582
                    total_views_history_cnt: 73121780705
                  - dt: 1783180800
                    region: US
                    tag_id: '20884'
                    tag_title: viral
                    total_comments_cnt: 28666
                    total_comments_history_cnt: 1758438943
                    total_digg_cnt: 2529857
                    total_digg_history_cnt: 148222762950
                    total_favorites_cnt: 286939
                    total_favorites_history_cnt: 12374617182
                    total_shares_cnt: 0
                    total_shares_history_cnt: 8412047014
                    total_video_cnt: 5888
                    total_video_history_cnt: 30997083
                    total_views_cnt: 65278543
                    total_views_history_cnt: 1445011114352
                  - dt: 1783180800
                    region: US
                    tag_id: '1663935709411330'
                    tag_title: capcut
                    total_comments_cnt: 24873
                    total_comments_history_cnt: 309104168
                    total_digg_cnt: 400041
                    total_digg_history_cnt: 19328953146
                    total_favorites_cnt: 39869
                    total_favorites_history_cnt: 1842977663
                    total_shares_cnt: 0
                    total_shares_history_cnt: 1389096176
                    total_video_cnt: 5153
                    total_video_history_cnt: 32633942
                    total_views_cnt: 9208200
                    total_views_history_cnt: 235292227379
                  - dt: 1783180800
                    region: US
                    tag_id: '7340824418278440993'
                    tag_title: creatorsearchinsights
                    total_comments_cnt: 17619
                    total_comments_history_cnt: 54299816
                    total_digg_cnt: 528651
                    total_digg_history_cnt: 1941096351
                    total_favorites_cnt: 134322
                    total_favorites_history_cnt: 226767348
                    total_shares_cnt: 25085
                    total_shares_history_cnt: 176613899
                    total_video_cnt: 4535
                    total_video_history_cnt: 4352173
                    total_views_cnt: 20809637
                    total_views_history_cnt: 37558160288
                requestId: 50a13035-d387-40de-9782-be7dcf1425da
          headers: {}
        '400':
          description: 请求参数错误，请检查必填字段和参数格式
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: Missing required parameter
        '401':
          description: 鉴权失败，请检查 Authorization Header 中的 Bearer Token 或 API Key 是否有效
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: 账户余额或额度不足
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: 请求过于频繁，已触发限流
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: 服务器内部错误，请稍后重试
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/tiktok/hashtag/ranklist/analytics?date=2026-07-05&region=US&rank_type=1&hashtag_rank_field=1&page_num=1&page_size=10' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/tiktok/hashtag/ranklist/analytics',
                params={"date": "2026-07-05", "region": "US", "rank_type": 1, "hashtag_rank_field": 1, "page_num": 1, "page_size": 10},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"date": "2026-07-05", "region":
            "US", "rank_type": 1, "hashtag_rank_field": 1, "page_num": 1,
            "page_size": 10});


            const response = await
            fetch(`https://api.keyapi.ai/v1/tiktok/hashtag/ranklist/analytics?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        接口鉴权凭证。请在请求 Header 中传入 `Authorization: Bearer <YOUR_API_KEY>`。
        可在 [Dashboard](https://keyapi.ai/app/dashboard) 获取你的 API Key。

````